<%@ page contentType="text/html;charset=ISO-8859-1" language="java" %>
<%@ taglib prefix="core"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="func"      uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="stripes"   uri="http://stripes.sourceforge.net/stripes.tld" %>


<html>
    <head><title>An example of forms and validation in Stripes</title></head>
    <body>
	
	<h1>An example of forms and validation in Stripes </h1>
	<stripes:form action="/ProcessForm.action" focus="">
	    <table border="0">
		<tr><td>Write some text:</td><td><stripes:text name="name" /><stripes:errors field="name" /></td></tr>
		<tr><td>Enter a date:</td><td><stripes:text name="date" /><stripes:errors field="date" /></td></tr>
		<tr><td>Enter a fake VISA number:</td><td><stripes:text name="visa" /><stripes:errors field="visa" /></td></tr>
		<tr><td>Enter an email for SPAM:</td><td><stripes:text name="email" /><stripes:errors field="email" /></td></tr>
		<tr><td>Pick a number:</td><td><stripes:text name="number" /><stripes:errors field="number" /></td></tr>
		<tr><td>Yes or no?</td><td><stripes:text name="bool" /><stripes:errors field="bool" /></td></tr>
		<tr><td>Enter PI with 3 significant digits:</td><td><stripes:text name="pi" /><stripes:errors field="pi" /></td></tr>
		<tr><td>Optionally enter 'some text':</td><td><stripes:text name="optional" /><stripes:errors field="optional" /></td></tr>
	    </table>
	    <stripes:submit name="process" value="Process!"/>
	</stripes:form>

	<core:if test="${(actionBean != null) && (empty actionBean.context.validationErrors)}">
	    You entered:
	    <table border="1">
		<tr><th>Field</th><th>Value</th></tr>
		<tr><td>name</td><td>${actionBean.name}</td></tr>
		<tr><td>date</td><td>${actionBean.date}</td></tr>
		<tr><td>visa</td><td>${actionBean.visa}</td></tr>
		<tr><td>email</td><td>${actionBean.email}</td></tr>
		<tr><td>number</td><td>${actionBean.number}</td></tr>
		<tr><td>bool</td><td>${actionBean.bool}</td></tr>
		<tr><td>pi</td><td>${actionBean.pi}</td></tr>
		<tr><td>optional</td><td>${actionBean.optional}</td></tr>
	    </table>
	</core:if>
    </body>
</html>
